org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf

## Class StandardStructureTypes

- java.lang.Object
- - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.StandardStructureTypes

    public class StandardStructureTypes
    extends Object

The standard structure types.

Author:
  Johannes Koch

### Field Summary

Fields
`static String` `ANNOT` Annot
`static String` `ART` Art
`static String` `BIB_ENTRY` BibEntry
`static String` `BLOCK_QUOTE` BlockQuote
`static String` `CAPTION` Caption
`static String` `CODE` Code
`static String` `DIV` Div
`static String` `DOCUMENT` Document
`static String` `Figure` Figure
`static String` `FORM` Form
`static String` `FORMULA` Formula
`static String` `H` H
`static String` `H1` H1
`static String` `H2` H2
`static String` `H3` H3
`static String` `H4` H4
`static String` `H5` H5
`static String` `H6` H6
`static String` `INDEX` Index
`static String` `L` L
`static String` `L_BODY` LBody
`static String` `LBL` Lbl
`static String` `LI` LI
`static String` `LINK` Link
`static String` `NON_STRUCT` NonStruct
`static String` `NOTE` Note
`static String` `P` P
`static String` `PART` Part
`static String` `PRIVATE` Private
`static String` `QUOTE` Quote
`static String` `RB` RB
`static String` `REFERENCE` Reference
`static String` `RP` RP
`static String` `RT` RT
`static String` `RUBY` Ruby
`static String` `SECT` Sect
`static String` `SPAN` Span
`static String` `T_BODY` TBody
`static String` `T_FOOT` TFoot
`static String` `T_HEAD` THead
`static String` `TABLE` Table
`static String` `TD` TD
`static String` `TH` TH
`static String` `TOC` TOC
`static String` `TOCI` TOCI
`static String` `TR` TR
`static List<String>` `types` All standard structure types.
`static String` `WARICHU` Warichu
`static String` `WP` WP
`static String` `WT` WT

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DOCUMENT

    public static final String DOCUMENT

Document

See Also:
  Constant Field Values

#### PART

    public static final String PART

Part

See Also:
  Constant Field Values

#### ART

    public static final String ART

Art

See Also:
  Constant Field Values

#### SECT

    public static final String SECT

Sect

See Also:
  Constant Field Values

#### DIV

    public static final String DIV

Div

See Also:
  Constant Field Values

#### BLOCK_QUOTE

    public static final String BLOCK_QUOTE

BlockQuote

See Also:
  Constant Field Values

#### CAPTION

    public static final String CAPTION

Caption

See Also:
  Constant Field Values

#### TOC

    public static final String TOC

TOC

See Also:
  Constant Field Values

#### TOCI

    public static final String TOCI

TOCI

See Also:
  Constant Field Values

#### INDEX

    public static final String INDEX

Index

See Also:
  Constant Field Values

#### NON_STRUCT

    public static final String NON_STRUCT

NonStruct

See Also:
  Constant Field Values

#### PRIVATE

    public static final String PRIVATE

Private

See Also:
  Constant Field Values

#### P

    public static final String P

P

See Also:
  Constant Field Values

#### H

    public static final String H

H

See Also:
  Constant Field Values

#### H1

    public static final String H1

H1

See Also:
  Constant Field Values

#### H2

    public static final String H2

H2

See Also:
  Constant Field Values

#### H3

    public static final String H3

H3

See Also:
  Constant Field Values

#### H4

    public static final String H4

H4

See Also:
  Constant Field Values

#### H5

    public static final String H5

H5

See Also:
  Constant Field Values

#### H6

    public static final String H6

H6

See Also:
  Constant Field Values

#### L

    public static final String L

L

See Also:
  Constant Field Values

#### LI

    public static final String LI

LI

See Also:
  Constant Field Values

#### LBL

    public static final String LBL

Lbl

See Also:
  Constant Field Values

#### L_BODY

    public static final String L_BODY

LBody

See Also:
  Constant Field Values

#### TABLE

    public static final String TABLE

Table

See Also:
  Constant Field Values

#### TR

    public static final String TR

TR

See Also:
  Constant Field Values

#### TH

    public static final String TH

TH

See Also:
  Constant Field Values

#### TD

    public static final String TD

TD

See Also:
  Constant Field Values

#### T_HEAD

    public static final String T_HEAD

THead

See Also:
  Constant Field Values

#### T_BODY

    public static final String T_BODY

TBody

See Also:
  Constant Field Values

#### T_FOOT

    public static final String T_FOOT

TFoot

See Also:
  Constant Field Values

#### SPAN

    public static final String SPAN

Span

See Also:
  Constant Field Values

#### QUOTE

    public static final String QUOTE

Quote

See Also:
  Constant Field Values

#### NOTE

    public static final String NOTE

Note

See Also:
  Constant Field Values

#### REFERENCE

    public static final String REFERENCE

Reference

See Also:
  Constant Field Values

#### BIB_ENTRY

    public static final String BIB_ENTRY

BibEntry

See Also:
  Constant Field Values

#### CODE

    public static final String CODE

Code

See Also:
  Constant Field Values

#### LINK

    public static final String LINK

Link

See Also:
  Constant Field Values

#### ANNOT

    public static final String ANNOT

Annot

See Also:
  Constant Field Values

#### RUBY

    public static final String RUBY

Ruby

See Also:
  Constant Field Values

#### RB

    public static final String RB

RB

See Also:
  Constant Field Values

#### RT

    public static final String RT

RT

See Also:
  Constant Field Values

#### RP

    public static final String RP

RP

See Also:
  Constant Field Values

#### WARICHU

    public static final String WARICHU

Warichu

See Also:
  Constant Field Values

#### WT

    public static final String WT

WT

See Also:
  Constant Field Values

#### WP

    public static final String WP

WP

See Also:
  Constant Field Values

#### Figure

    public static final String Figure

Figure

See Also:
  Constant Field Values

#### FORMULA

    public static final String FORMULA

Formula

See Also:
  Constant Field Values

#### FORM

    public static final String FORM

Form

See Also:
  Constant Field Values

#### types

    public static final List<String> types

All standard structure types.